cascading.util

## Class ShutdownUtil

- java.lang.Object
- - cascading.util.ShutdownUtil

-     public class ShutdownUtil
      extends Object

  ShutdownUtil is a private helper class for registering dependent shutdown hooks to maintain internal state information reliably when a jvm is shutting down.

  This api is not intended for public use.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShutdownUtil.Hook`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SHUTDOWN_EXECUTING` System property set to true when we have entered shutdown
    `static String` | `SHUTDOWN_FORCE_NON_DAEMON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addHook(ShutdownUtil.Hook hook)`
    `static void` | `deregisterShutdownHook()`
    `static void` | `registerShutdownHook()`
    `static boolean` | `removeHook(ShutdownUtil.Hook hook)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHUTDOWN_EXECUTING

          public static final String SHUTDOWN_EXECUTING

      System property set to true when we have entered shutdown
      See Also:
        Constant Field Values

    - #### SHUTDOWN_FORCE_NON_DAEMON

          public static final String SHUTDOWN_FORCE_NON_DAEMON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShutdownUtil

          public ShutdownUtil()

  - ### Method Detail

    - #### addHook

          public static void addHook(ShutdownUtil.Hook hook)

    - #### removeHook

          public static boolean removeHook(ShutdownUtil.Hook hook)

    - #### registerShutdownHook

          public static void registerShutdownHook()

    - #### deregisterShutdownHook

          public static void deregisterShutdownHook()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.